import type { FileName } from "./FileName";
import type { FileNameVariablesEnabled } from "./FileNameVariablesEnabled";
import type { FolderPathVariablesEnabled } from "./FolderPathVariablesEnabled";
import type { RelativeOrAbsoluteFolderPath } from "./RelativeOrAbsoluteFolderPath";
/**
 * An object containing a `fileName` and/or `folderPath`.
 *
 * Both fields are optional: omitted fields will use the API key's default values, which are configured per API key via the Upload Dashboard.
 *
 * Supports path variables.
 */
export declare type DynamicFilePath = {
    fileName?: FileName;
    /**
     * Fallback file name if the `fileName` is already taken.
     */
    fileNameFallback?: FileName;
    fileNameVariablesEnabled?: FileNameVariablesEnabled;
    folderPath?: RelativeOrAbsoluteFolderPath;
    folderPathVariablesEnabled?: FolderPathVariablesEnabled;
};
