import type { FolderSummary } from "./FolderSummary";
import type { ListFolderCursor } from "./ListFolderCursor";
import type { ObjectSummary } from "./ObjectSummary";
/**
 * Response body for ListFolderChildren.
 */
export declare type ListFolderChildrenResponse = {
    /**
     * Summary information about each of the folder's children (files and folders).
     */
    children: Array<ObjectSummary>;
    /**
     * Cursor that must be provided to the next request (to continue reading the next page of results).
     */
    cursor: ListFolderCursor;
    /**
     * Indicates if there are more pages to fetch.
     */
    isPaginationComplete: boolean;
    /**
     * Summary information about the requested folder.
     */
    parent: FolderSummary;
};
