import type { FileOrFolderPath } from "./FileOrFolderPath";
import type { FolderSummary } from "./FolderSummary";
import type { ObjectSummary } from "./ObjectSummary";
/**
 * Response body for ListFolderDescendants.
 */
export declare type ListFolderResponse = {
    /**
     * Cursor that must be provided to the next request (to continue reading the next page of results).
     */
    cursor: FileOrFolderPath;
    /**
     * Summary information about the requested folder.
     */
    folder: FolderSummary;
    /**
     * If `true` then paging has completed.
     */
    isPaginationComplete: boolean;
    /**
     * Summary information about each of the folder's descendants (files and folders).
     */
    items: Array<ObjectSummary>;
};
