import type { AccountId } from "../models/AccountId";
import type { CacheInvalidation } from "../models/CacheInvalidation";
import type { PartialCachePolicy } from "../models/PartialCachePolicy";
export declare class CachingService {
    /**
     * Creates a new public or secret API key for the account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static setDefaultCachePolicy(accountId: AccountId, requestBody: PartialCachePolicy): Promise<any>;
    /**
     * Creates a new public or secret API key for the account.
     * @param accountId
     * @param requestBody
     * @returns any Success.
     * @throws ApiError
     */
    static createInvalidation(accountId: AccountId, requestBody: CacheInvalidation): Promise<any>;
}
