/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AwsRegion } from "./AwsRegion";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";

/**
 * From T, pick a set of properties whose keys are in the union K
 */
export type Pick_S3Storage_Exclude_keyofS3Storage_credentials__ = {
  /**
   * The type of this storage layer.
   */
  type: "S3";
  bucket: {
    objectKeyPrefix: S3ObjectKey;
    bucketRegion: AwsRegion;
    bucketName: S3BucketName;
  };
  /**
   * If `true` then writes S3 objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
   *
   * If `false` then writes S3 objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
   */
  useAbsolutePaths: boolean;
  /**
   * Enables S3 transfer acceleration, providing improved file upload speeds for larger files.
   *
   * Note: this setting must also be enabled on the S3 bucket.
   */
  useTransferAcceleration: boolean;
};
