/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { ParameterlessFunction } from "./ParameterlessFunction";

/**
 * This object is passed to the `onInit` callback in the UploadWidgetConfig.
 *
 * It contains methods that allow you to change the state of the widget after it has opened.
 */
export type UploadWidgetMethods = {
  /**
   * Closes the Upload Widget, removing all of its elements from the DOM.
   *
   * An empty array of files will be returned from the `open` method (and from the `onComplete` callback if using a UI framework like React).
   */
  close: ParameterlessFunction;
  /**
   * Resets the Upload Widget to its initial state.
   */
  reset: ParameterlessFunction;
};
